<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="onUnlockClickListener"
            type="android.view.View.OnClickListener" />

        <variable
            name="onCloseClickListener"
            type="android.view.View.OnClickListener" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        tools:background="@color/black70">

        <ImageView
            android:id="@+id/dialog_unlock_function"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:src="@drawable/bg_dialog_unlock_function"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.4"
            app:layout_constraintWidth_percent="0.8527777777777778" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="看个视频就能解锁功能哦~"
            android:textColor="#202020"
            android:textSize="19sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@id/dialog_unlock_function"
            app:layout_constraintLeft_toLeftOf="@id/dialog_unlock_function"
            app:layout_constraintRight_toRightOf="@id/dialog_unlock_function"
            app:layout_constraintTop_toTopOf="@id/dialog_unlock_function"
            app:layout_constraintVertical_bias="0.5419310344827586" />

        <View
            android:id="@+id/unlock_btn"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:background="@drawable/bg_dialog_unlock_btn"
            app:layout_constraintBottom_toBottomOf="@id/dialog_unlock_function"
            app:layout_constraintDimensionRatio="172:44"
            app:layout_constraintLeft_toLeftOf="@id/dialog_unlock_function"
            android:onClickListener="@{onUnlockClickListener}"
            app:layout_constraintRight_toRightOf="@id/dialog_unlock_function"
            app:layout_constraintTop_toTopOf="@id/dialog_unlock_function"
            app:layout_constraintVertical_bias="0.8258736059479554"
            app:layout_constraintWidth_percent="0.4777777777777778" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawablePadding="5dp"
            android:text="免费解锁"
            android:textColor="@color/white"
            android:textSize="16sp"
            android:textStyle="bold"
            app:drawableStartCompat="@drawable/icon_unlock"
            app:layout_constraintBottom_toBottomOf="@id/unlock_btn"
            app:layout_constraintLeft_toLeftOf="@id/unlock_btn"
            app:layout_constraintRight_toRightOf="@id/unlock_btn"
            app:layout_constraintTop_toTopOf="@id/unlock_btn" />

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:src="@drawable/icon_dialog_close"
            android:onClickListener="@{onCloseClickListener}"
            app:layout_constraintLeft_toLeftOf="@id/dialog_unlock_function"
            app:layout_constraintRight_toRightOf="@id/dialog_unlock_function"
            app:layout_constraintTop_toBottomOf="@id/dialog_unlock_function" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>